Bug 462018 - SSL connections are not correctly shutdown
SSL connections are not correctly shutdown
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vsftpd (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Skala
Depends On:
  Show dependency treegraph
Reported: 2008-09-11 19:03 EDT by Michael Kearey
Modified: 2014-11-09 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-03 07:28:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Kearey 2008-09-11 19:03:49 EDT
Description of problem:
vsftpd 2.0.7 provides necessary fix for ECONABORTED
issue with filezilla and other clients.  Please update vsftpd package to 2.0.7.
 Here is a line from the changelog: - Shutdown the SSL data connections
properly. This prevents clients such as recent FileZilla from complaining.
Reported by various people.

Current build of vsftpd with ssl connections is unusable with filezilla.

Additional info: Here is a description of the issue from the vsftpd developer:
Comment 1 Michael Kearey 2008-09-11 19:05:56 EDT
Equivalent BZ for RHEL5:
Comment 2 Michael Kearey 2008-10-01 03:23:30 EDT

I have applied the patch at RHEL5 BZ 459607 to RHEL4's vsftpd-2.0.1-5.EL4.7.src.rpm package. It applies cleanly.

I will perform a test using filezilla and let you know result.
Comment 12 Issue Tracker 2008-11-11 17:50:53 EST
Hi David... 

From customer: 


It was petty simple and straight forward. We did this on RHEL4 Update 5 64
bit. The standard vsftpd-2.0.1-5.EL4.5.x86_64.rpm install threw the error
we have previously communicated while trying to log/use ftps with
filezilla 3.1.3 (normal ftp works fine). We upgraded the vsftpd version to
the one provided by RedHat and ran the same test/attempt. We were able to
log in and functionally use the same filezilla client. Standard ftp
continued to work as well.


This event sent from IssueTracker by dwa 
 issue 225418
Comment 18 errata-xmlrpc 2008-12-03 07:28:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.